Skip to main content

Request

{{baseUrl}}/api/v1/kyc/address/business
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Body parameter

ParameterTypeDescriptionRequired
business_namestringName of businessrequired
business_mobilestringOffice mobile number of the businessrequired
first_namestringFirst name of business ownerrequired
last_namestringLast name of business ownerrequired
mobilestringMobile number of business ownerrequired
streetstringHouse number, street name of the businessrequired
landmarkstringThe closest landmark to the locationoptional
lgastringLGArequired
citystringCityrequired
statestringStaterequired

Sample response

Response
{
    "entity": {
        "status":"pending" ,
        "reference_id": "69e10264-4b90-64fe-b4b7-c9dddafd0241"
    }
}

Response Fields

FieldTypeDescription
entityobjectContains the response data
entity.statusstringVerification request status. Values: pending (verification in progress), completed (verification finished), failed (verification could not be completed)
entity.reference_idstringUnique reference ID for tracking this verification request. Use this ID to fetch verification results later